jQuery(".tab li").click(function() {
  // Declare all variables
  var i, tabcontent, tablinks;
  var tabID = jQuery(this).attr('data-id');

  // Get all elements with class="tabcontent" and hide them
  tabcontent = document.getElementsByClassName("tabcontent");
  for (i = 0; i < tabcontent.length; i++) {
    tabcontent[i].style.display = "none";
  }

  // Get all elements with class="tablinks" and remove the class "active"
  tablinks = document.getElementsByClassName("tablink");
  for (i = 0; i < tablinks.length; i++) {
    tablinks[i].className = tablinks[i].className.replace(" isActive", "");
  }

  // Show the current tab, and add an "active" class to the link that opened the tab
  document.getElementById(tabID).style.display = "block";
  jQuery(this).addClass('isActive');
});

jQuery(".fsscAddImg").on("click", function (e) {
        var file_frame,
            $this = jQuery(this).parents('.fssc-image-wrapper');
        if (undefined !== file_frame) {
            file_frame.open();
            return;
        }
        file_frame = wp.media.frames.file_frame = wp.media({
           frame: 'select',
            title: 'Select or Upload Media For your profile gallery',
            button: {
                text: 'Use this media'
            },
            multiple: false
        });
        file_frame.on('select', function () {
            var attachment = file_frame.state().get('selection').first().toJSON(),
                imgId = attachment.id,
                imgUrl = (typeof attachment.sizes.full === "undefined") ? attachment.url : attachment.sizes.full.url,
                imgInfo = "<span>" + attachment.sizes.full.width + "px</span>",
                imgInfo = imgInfo + " - <span>" + attachment.sizes.full.height + "px</span>";
            $this.find('input').val(imgId);
            $this.find('.fsscRemoveImg').removeClass('fssc-hidden');
            $this.find('img').remove();
            $this.find('.fssc-image-preview').css("background-image", "url("+imgUrl+")");
            $this.parents('.fssc-image').find('.fssc-image-wrapper').append('<div class="image-info">'+imgInfo+'</div>');
        });
        file_frame.open();
});

jQuery(".fsscRemoveImg").on("click", function (e) {
    e.preventDefault();
    if (confirm("Are you sure?")) {
        var $this = jQuery(this).parents('.fssc-image-wrapper');
        $this.find('input').val('');
        $this.find('.fsscRemoveImg').addClass('fssc-hidden');
        $this.find('.fssc-image-preview').css("background-image", "url()");
        $this.parents('.fssc-image').find('.image-info').remove();
    }
});

jQuery(".fsscAddLogo").on("click", function (e) {
  var file_frame,
    $this = jQuery(this).parents('.fssc-image-wrapper');
  if (undefined !== file_frame) {
    file_frame.open();
    return;
  }
  file_frame = wp.media.frames.file_frame = wp.media({
    frame: 'select',
    title: 'Select or Upload Media For your profile gallery',
    button: {
        text: 'Use this media'
    },
    multiple: false
  });
  file_frame.on('select', function () {
    var attachment = file_frame.state().get('selection').first().toJSON(),
        imgId = attachment.id,
        imgUrl = (typeof attachment.sizes.medium === "undefined") ? attachment.url : attachment.sizes.medium.url;
    $this.find('input').val(imgId);
    $this.find('.fsscRemoveLogo').removeClass('fssc-hidden');
    $this.find('img').remove();
    $this.find('.fssc-image-preview').append("<img src='" + imgUrl + "' />");
  });
  file_frame.open();
});

jQuery(".fsscRemoveLogo").on("click", function (e) {
  e.preventDefault();
  if (confirm("Are you sure?")) {
    var $this = jQuery(this).parents('.fssc-image-wrapper');
    $this.find('input').val('');
    $this.find('.fsscRemoveImg').addClass('fssc-hidden');
    $this.find('img').remove();
  }
});

jQuery(".add-more-button").on("click", function (e) {
  $this     = jQuery(this).parents('#fssc_FAQ');
  var limit = jQuery(this).attr('data-limit');
  var n     = jQuery( ".faq-wrapper" ).length;
  if(limit > n){
    $this.find(".schema-fields-wrapper").append("<div class='faq-wrapper'><div class='field-container'><label class='field-label'>Question</label><div class='field-content'><input type='text' id='fssc_faq_question' name='fssc_FAQ[question]["+n+"][question]' value=''></div></div><div class='field-container'><label class='field-label'>Answer</label><div class='field-content'><textarea id='fssc_faq_answer' name='fssc_FAQ[question]["+n+"][answer]'></textarea></div></div></div>");
  }
});

jQuery(document).on('click', ".social-remove", function () {
  if (confirm("Are you sure?")) {
    jQuery(this).parent('.sfield').slideUp('slow', function () {
      jQuery(this).remove();
    });
  }
});

jQuery("#social-add").on('click', function () {
    var bindElement = jQuery("#social-add");
    var count = jQuery(".social-profile-wrapper .sfield").length;
    var arg = 'id=' + count;
    AjaxCall(bindElement, 'addSocialProfile', arg, function (data) {
        if (data.data) {
            jQuery(".social-profile-wrapper").append(data.data);
        }
    });
});

function AjaxCall(element, action, arg, handle) {
      var data;
      if (action) data = "action=" + action;
      if (arg) data = arg + "&action=" + action;
      if (arg && !action) data = arg;
      data = data;
      jQuery.ajax({
          type: "post",
          url: ajaxurl,
          data: data,
          success: function (data) {
              handle(data);
          }
      });
}

jQuery("#fs-schema-main-setting").on('submit', function (e) {
    e.preventDefault();
    var arg = jQuery(this).serialize();
    var bindElement = jQuery('#fsSave');
    jQuery(".loader-img").css('display', 'block');
    AjaxCall(bindElement, 'saveSchemaMainSettings', arg, function (data) {      
      if (!data.error) {
        jQuery('#response').addClass('updated notice notice-success');
        jQuery('#response').removeClass('error');
        jQuery('#response').show('slow').html('<p>'+data.msg+'</p>');
      } else {
        jQuery('#response').addClass('error');
      } 
      jQuery(".loader-img").css('display', 'none'); 
    });
});


jQuery("#fs-advanced-setting").on('submit', function (e) {
    e.preventDefault();
    var arg = jQuery(this).serialize();
    var bindElement = jQuery('#fsSave');
    jQuery("#fs-advanced-setting .loader-img").show();
    AjaxCall(bindElement, 'saveAdvancedSettings', arg, function (data) {
      if (!data.error) {
        jQuery('#response').addClass('updated notice notice-success');
        jQuery('#response').removeClass('error');
        jQuery('#response').show('slow').html('<p>'+data.msg+'</p>');
      } else {
        jQuery('#response').addClass('error');
      }
      jQuery("#fs-advanced-setting .loader-img").hide();
    });
});

jQuery("#fs-licence-setting").on('submit', function (e) {
  e.preventDefault();
  var arg         = jQuery(this).serialize();
  var bindElement = jQuery('#fsLicence');
  jQuery("#fs-licence-setting .loader-img").show();
  AjaxCall(bindElement, 'saveLicenceSettings', arg, function (data) {
    if (!data.error) {
      jQuery('#response').addClass('updated notice notice-success');
      jQuery('#response').removeClass('error');
      jQuery('#response').show('slow').html('<p>'+data.msg[0]+'</p>');
    } else {
      jQuery('#response').addClass('error');
      jQuery('#response').show('slow').html('<p>'+data.msg[0]+'</p>');
      jQuery('#lic_email').removeAttr('value');
      jQuery('#lic_key').removeAttr('value');
    }
    jQuery("#fs-licence-setting .loader-img").hide();
  });
});


  

